suite tree for test plan's test cases
GET
/testplantestcases/suitetreereturns suite tree of execution
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestPlanTestCasesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestPlanTestCasesApi(config);
const result = await api.getTestPlanSuiteTree({ "testplan": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/testplantestcases/suitetree?token=$TESTCOLLAB_TOKEN&testplan=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
testplan |
query | integer | Yes | Test Plan ID |
Response
Section titled “Response”200 — suite tree
| Field | Type | Required | Description |
|---|---|---|---|
id |
number | Yes | — |
title |
string | Yes | — |
suitecount |
number | No | No. of child suites in this suite |
created_by |
number | No | Suite created by |
testcasecount |
number | Yes | No. of test cases in this suite |
alltestcasecount |
number | No | No. of test cases in this suite (including child suites) |
children |
Array of Suite Tree | Yes | — |
is_bdd_managed |
boolean | No | True when the suite is managed by BDD sync from a feature file in Git. |
is_reference |
boolean | No | Will be true only for links |
source_id |
number | No | Only for links - source entity ID |
source_project |
number | No | Only for links - source Project ID |
is_main_link |
boolean | No | Will be true only for top level link suite |
{ "id": 123, "title": "example", "suitecount": 123, "created_by": 123, "testcasecount": 123, "alltestcasecount": 123, "children": [], "is_bdd_managed": true, "is_reference": true}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 |
bad input parameter |